package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "META_EMAIL_STATUS", schema = "public")
public class MetaEmailStatus {

    private int id;
    private String name;
    private Date createDate;

    public MetaEmailStatus(){}

    public MetaEmailStatus(int id) {
        this.id = id;
    }

    @Id
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }


    @Column(name = "NAME", nullable = true, length = 50)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
