package com.loafle.overflow.service.central.apikey;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.apikey.ApiKey;
import com.loafle.overflow.model.domain.Domain;

/**
 * Created by geek on 17. 11. 7.
 */
public interface ApiKeyService {
    @WebappAPI
    ApiKey regist(ApiKey apiKey) throws OverflowException;
    @WebappAPI
    ApiKey readByDomain(Domain domain) throws OverflowException;
    boolean check(String apiKey) throws OverflowException;
    @WebappAPI
    ApiKey readByApiKey(String apiKey) throws OverflowException;
}
