package com.loafle.overflow.service.central.domain;

import java.util.List;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.domain.DomainMember;
import com.loafle.overflow.model.member.Member;

/**
 * Created by snoop on 17. 6. 28.
 */
public interface DomainMemberService {
  @WebappAPI
  void regist(DomainMember domainMember) throws OverflowException;
  @WebappAPI
  Domain readDomainByMemberID(long id) throws OverflowException;
  @WebappAPI
  DomainMember readByMemberEmail(String email) throws OverflowException;
  @WebappAPI
  List<Member> readAllMemberByDomain(Domain domain) throws OverflowException;
  @WebappAPI
  List<Member> readAllMemberByDomainID(final long domainID) throws OverflowException;
}
