package com.loafle.overflow.service.central.history;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.model.PageParams;
import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.history.History;

import com.loafle.overflow.model.meta.MetaHistoryType;
import com.loafle.overflow.model.probe.Probe;
import org.springframework.data.domain.Page;

public interface HistoryService {
   // ??
   History regist(History history);

    @WebappAPI
   Page<History> readAllByProbeAndType(Probe probe, MetaHistoryType type, PageParams pageParams);
   @WebappAPI
   Page<History> readAllByProbe(Probe probe, PageParams pageParams);
   @WebappAPI
   Page<History> readAllByDomain(Domain domain, PageParams pageParams);
   @WebappAPI
   Page<History> readAllByDomainAndType(Domain domain, MetaHistoryType type, PageParams pageParams);
}
